using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	///
	/// </summary>
	public interface IPubMessageService
    {
        void SendAptSmsMsg2User(int hosId, Pub_Pat_Info patInfo, int language, DateTime? aptTime);

        void SendAptWxMsg2User(int hosId, int docId, int deptId, int userId, string name, string phone, DateTime? aptTime);

        void SendQuickAptSms2HosService(int hosId, string patName, string phone);
        void SendAptWxMsg2Service(string patName, string phone, DateTime? aptTime);
        void SendOnlineWxMsg(string orderNo, string toOpenId, string title, string remark, string url = "");
        void SendPediatricsWxMsg(string openid, string title, string docName, string aptTime, string remark, string url = "");
        bool SendTemplateMessage(string openId, string templateId, string jumpUrl, List<TemplateDataObject> data);
        bool SendCancelSms(Dic_Hos hos, Out_Apt_Info oAInfo, Pub_Pat_Info patInfo, Pub_Sms_Log smsLog);
        bool SendConfirmSms(Dic_Hos hos, Out_Apt_Info oAInfo, Pub_Pat_Info patInfo, Pub_Sms_Log smsLog);
        void SendRewardIntegralWxMsg2User(UserDetail userDetail, int changedIntegral, DateTime? createTime);
        void TestUrl();
        void SendSmsCoupon300(string phone);

        void SendVaccineAptWxMsg2User(int userId, string name, string phone);
        void SendVaccineAptWxMsg2Service(string name, string phone);
    }
}
